Qt 5.6 | Qt 3D | C++ Classes | QTransform

Qt 5.6.3 Reference Documentation

# QTransform Class

(Qt3DCore::QTransform)

Inherits: | QComponent

- List of all members, including inherited members

## Properties

- matrix : QMatrix4x4
- rotation : QQuaternion
- rotationX : float
- rotationY : float

- rotationZ : float
- scale : float
- scale3D : QVector3D
- translation : QVector3D

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTransform(QNode *parent = Q_NULLPTR)
| ~QTransform()
QMatrix4x4 | matrix() const
QQuaternion | rotation() const
float | rotationX() const
float | rotationY() const
float | rotationZ() const
float | scale() const
QVector3D | scale3D() const
QVector3D | translation() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMatrix(const QMatrix4x4 &matrix)
void | setRotation(const QQuaternion &rotation)
void | setRotationX(float rotationX)
void | setRotationY(float rotationY)
void | setRotationZ(float rotationZ)
void | setScale(float scale)
void | setScale3D(const QVector3D &scale)
void | setTranslation(const QVector3D &translation)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | matrixChanged(const QMatrix4x4 &matrix)
void | rotationChanged(const QQuaternion &rotation)
void | rotationXChanged(float rotationX)
void | rotationYChanged(float rotationY)
void | rotationZChanged(float rotationZ)
void | scale3DChanged(const QVector3D &scale)
void | scaleChanged(float scale)
void | translationChanged(const QVector3D &translation)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Static Public Members

QQuaternion | fromAxesAndAngles(const QVector3D &axis1, float angle1, const QVector3D &axis2, float angle2)
QQuaternion | fromAxesAndAngles(const QVector3D &axis1, float angle1, const QVector3D &axis2, float angle2, const QVector3D &axis3, float angle3)
QQuaternion | fromAxisAndAngle(const QVector3D &axis, float angle)
QQuaternion | fromAxisAndAngle(float x, float y, float z, float angle)
QQuaternion | fromEulerAngles(const QVector3D &eulerAngles)
QQuaternion | fromEulerAngles(float pitch, float yaw, float roll)
QMatrix4x4 | rotateAround(const QVector3D &point, float angle, const QVector3D &axis)

## Protected Functions

| QTransform(QTransformPrivate &dd, QNode *parent = Q_NULLPTR)

## Reimplemented Protected Functions

virtual void | copy(const QNode *ref)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### matrix : QMatrix4x4

Access functions:

QMatrix4x4 | matrix() const
void | setMatrix(const QMatrix4x4 &matrix)

Notifier signal:

void | matrixChanged(const QMatrix4x4 &matrix)

### rotation : QQuaternion

Access functions:

QQuaternion | rotation() const
void | setRotation(const QQuaternion &rotation)

Notifier signal:

void | rotationChanged(const QQuaternion &rotation)

### rotationX : float

Access functions:

float | rotationX() const
void | setRotationX(float rotationX)

Notifier signal:

void | rotationXChanged(float rotationX)

### rotationY : float

Access functions:

float | rotationY() const
void | setRotationY(float rotationY)

Notifier signal:

void | rotationYChanged(float rotationY)

### rotationZ : float

Access functions:

float | rotationZ() const
void | setRotationZ(float rotationZ)

Notifier signal:

void | rotationZChanged(float rotationZ)

### scale : float

Access functions:

float | scale() const
void | setScale(float scale)

Notifier signal:

void | scaleChanged(float scale)

### scale3D : QVector3D

Access functions:

QVector3D | scale3D() const
void | setScale3D(const QVector3D &scale)

Notifier signal:

void | scale3DChanged(const QVector3D &scale)

### translation : QVector3D

Access functions:

QVector3D | translation() const
void | setTranslation(const QVector3D &translation)

Notifier signal:

void | translationChanged(const QVector3D &translation)

## Member Function Documentation

### QTransform::QTransform(QNode *parent = Q_NULLPTR)

Default constructs an instance of QTransform.

### `[protected]` QTransform::QTransform(QTransformPrivate &dd, QNode *parent = Q_NULLPTR)

Copy constructor.

### QTransform::~QTransform()

Destroys the instance of QTransform.

### `[virtual protected]` void QTransform::copy(const QNode *ref)

### `[static]` QQuaternion QTransform::fromAxesAndAngles(const QVector3D &axis1, float angle1, const QVector3D &axis2, float angle2)

### `[static]` QQuaternion QTransform::fromAxesAndAngles(const QVector3D &axis1, float angle1, const QVector3D &axis2, float angle2, const QVector3D &axis3, float angle3)

### `[static]` QQuaternion QTransform::fromAxisAndAngle(const QVector3D &axis, float angle)

### `[static]` QQuaternion QTransform::fromAxisAndAngle(float x, float y, float z, float angle)

### `[static]` QQuaternion QTransform::fromEulerAngles(const QVector3D &eulerAngles)

### `[static]` QQuaternion QTransform::fromEulerAngles(float pitch, float yaw, float roll)

### `[static]` QMatrix4x4 QTransform::rotateAround(const QVector3D &point, float angle, const QVector3D &axis)